summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Roberto Neri2013-06-03 18:41:10 +0200
committer Robby Workman2013-06-04 07:11:31 +0200
commit54b2c3f8d8c694397ca24ddce0d5a58bc0923141 (patch)
tree83e62070dde7c5cd26ae03f03adb314d60c1f2ef /desktop
parent8d660240492e990d8e34e977503e0c4dfdeb6788 (diff)
downloadslackbuilds-54b2c3f8d8c694397ca24ddce0d5a58bc0923141.tar.gz
desktop/rodent-icon-theme: Added (Rodent vector icon theme)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/rodent-icon-theme/README4
-rw-r--r--desktop/rodent-icon-theme/rodent-icon-theme.SlackBuild67
-rw-r--r--desktop/rodent-icon-theme/rodent-icon-theme.info10
-rw-r--r--desktop/rodent-icon-theme/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/desktop/rodent-icon-theme/README b/desktop/rodent-icon-theme/README
new file mode 100644
index 0000000000..d8eff5fcbb
--- /dev/null
+++ b/desktop/rodent-icon-theme/README
@@ -0,0 +1,4 @@
+Rodent-icon-theme (was xfce4-icon-theme) is a svg (scalable) icon
+theme created by Francois L Clainche and augmented by Pablo Morales
+Romero, which used to be part of the Rodent file manager but now it's
+provided as a separate package.
diff --git a/desktop/rodent-icon-theme/rodent-icon-theme.SlackBuild b/desktop/rodent-icon-theme/rodent-icon-theme.SlackBuild
new file mode 100644
index 0000000000..e40abdad8f
--- /dev/null
+++ b/desktop/rodent-icon-theme/rodent-icon-theme.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for rodent-icon-theme
+
+# Copyright 2013 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rodent-icon-theme
+VERSION=${VERSION:-5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/rodent-icon-theme/rodent-icon-theme.info b/desktop/rodent-icon-theme/rodent-icon-theme.info
new file mode 100644
index 0000000000..113492b9e5
--- /dev/null
+++ b/desktop/rodent-icon-theme/rodent-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="rodent-icon-theme"
+VERSION="5.0"
+HOMEPAGE="http://rodent.xffm.org/"
+DOWNLOAD="http://downloads.sourceforge.net/xffm/rodent-icon-theme-5.0.tar.gz"
+MD5SUM="4b097d344a160d6497c6498985c8df15"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/desktop/rodent-icon-theme/slack-desc b/desktop/rodent-icon-theme/slack-desc
new file mode 100644
index 0000000000..ee308f1f30
--- /dev/null
+++ b/desktop/rodent-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rodent-icon-theme: rodent-icon-theme (Rodent vector icon theme)
+rodent-icon-theme:
+rodent-icon-theme: Rodent-icon-theme (was xfce4-icon-theme) is a svg (scalable) icon
+rodent-icon-theme: theme created by Francois L Clainche and augmented by Pablo Morales
+rodent-icon-theme: Romero, which used to be part of the Rodent file manager but now it's
+rodent-icon-theme: provided as a separate package.
+rodent-icon-theme:
+rodent-icon-theme: Homepage: http://rodent.xffm.org/
+rodent-icon-theme:
+rodent-icon-theme:
+rodent-icon-theme: